Subject: Re: bug#61231: 30.0.50; treesit-induce-sparse-tree: rename LIMIT to DEPTH

From: Yuan Fu <[email-masked]>
Date: Sun, 5 Feb 2023 20:43:39 -0800

Mickey Petersen <[email-masked]> writes:

> Minor thing, really, but I think we should rename LIMIT to DEPTH.
>
> LIMIT has a rather specific meaning to me when it comes to graph
> theory. It implies a stop search after a certain number is reached.

I’ll take your word for it ;-)

> Here, it really means *depth*; that is, the tree will cease to scan
> once it has reached a certain depth in the node tree, as opposed to
> having reached its limit on matches.

Sure, I can change LIMIT to DEPTH.

Yuan